Package org.flowable.cmmn.api.migration

# Class PlanItemDefinitionMappingBuilder

java.lang.Object
org.flowable.cmmn.api.migration.PlanItemDefinitionMappingBuilder

public class PlanItemDefinitionMappingBuilder extends Object

Author:
  Valentin Zickner

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanItemDefinitionMappingBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActivatePlanItemDefinitionMapping`
  `createActivatePlanItemDefinitionMappingFor(String planItemDefinitionId)`
  `static ActivatePlanItemDefinitionMapping`
  `createActivatePlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)`
  `static ActivatePlanItemDefinitionMapping`
  `createActivatePlanItemDefinitionMappingFor(String planItemDefinitionId, String newAssignee, Map<String,Object> withLocalVariables)`
  `static MoveToAvailablePlanItemDefinitionMapping`
  `createMoveToAvailablePlanItemDefinitionMappingFor(String planItemDefinitionId)`
  `static MoveToAvailablePlanItemDefinitionMapping`
  `createMoveToAvailablePlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)`
  `static MoveToAvailablePlanItemDefinitionMapping`
  `createMoveToAvailablePlanItemDefinitionMappingFor(String planItemDefinitionId, Map<String,Object> withLocalVariables)`
  `static RemoveWaitingForRepetitionPlanItemDefinitionMapping`
  `createRemoveWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId)`
  `static RemoveWaitingForRepetitionPlanItemDefinitionMapping`
  `createRemoveWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)`
  `static TerminatePlanItemDefinitionMapping`
  `createTerminatePlanItemDefinitionMappingFor(String planItemDefinitionId)`
  `static TerminatePlanItemDefinitionMapping`
  `createTerminatePlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)`
  `static WaitingForRepetitionPlanItemDefinitionMapping`
  `createWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId)`
  `static WaitingForRepetitionPlanItemDefinitionMapping`
  `createWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlanItemDefinitionMappingBuilder

    public PlanItemDefinitionMappingBuilder()

- ## Method Details

  - ### createActivatePlanItemDefinitionMappingFor

    public static ActivatePlanItemDefinitionMapping createActivatePlanItemDefinitionMappingFor(String planItemDefinitionId)

  - ### createActivatePlanItemDefinitionMappingFor

    public static ActivatePlanItemDefinitionMapping createActivatePlanItemDefinitionMappingFor(String planItemDefinitionId, String newAssignee, Map<String,Object> withLocalVariables)

  - ### createActivatePlanItemDefinitionMappingFor

    public static ActivatePlanItemDefinitionMapping createActivatePlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)

  - ### createTerminatePlanItemDefinitionMappingFor

    public static TerminatePlanItemDefinitionMapping createTerminatePlanItemDefinitionMappingFor(String planItemDefinitionId)

  - ### createTerminatePlanItemDefinitionMappingFor

    public static TerminatePlanItemDefinitionMapping createTerminatePlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)

  - ### createMoveToAvailablePlanItemDefinitionMappingFor

    public static MoveToAvailablePlanItemDefinitionMapping createMoveToAvailablePlanItemDefinitionMappingFor(String planItemDefinitionId)

  - ### createMoveToAvailablePlanItemDefinitionMappingFor

    public static MoveToAvailablePlanItemDefinitionMapping createMoveToAvailablePlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)

  - ### createMoveToAvailablePlanItemDefinitionMappingFor

    public static MoveToAvailablePlanItemDefinitionMapping createMoveToAvailablePlanItemDefinitionMappingFor(String planItemDefinitionId, Map<String,Object> withLocalVariables)

  - ### createWaitingForRepetitionPlanItemDefinitionMappingFor

    public static WaitingForRepetitionPlanItemDefinitionMapping createWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId)

  - ### createWaitingForRepetitionPlanItemDefinitionMappingFor

    public static WaitingForRepetitionPlanItemDefinitionMapping createWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)

  - ### createRemoveWaitingForRepetitionPlanItemDefinitionMappingFor

    public static RemoveWaitingForRepetitionPlanItemDefinitionMapping createRemoveWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId)

  - ### createRemoveWaitingForRepetitionPlanItemDefinitionMappingFor

    public static RemoveWaitingForRepetitionPlanItemDefinitionMapping createRemoveWaitingForRepetitionPlanItemDefinitionMappingFor(String planItemDefinitionId, String condition)